<%@ Page Language="vb" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script  runat="server">
Sub Page_Load(sender As Object, e As EventArgs)	
	Dim strConn As String
	strConn="server=localhost;"
	strConn=strConn & "UID=sa;PWD=aido;"
	strConn=strConn & "database=intershop;"
	Dim myConn As SqlConnection  = New SqlConnection(strConn)
	Dim drd as SqlDataReader
	myConn.Open	
	Dim strSQL as String
	strSQL="Select ItemID,ItemName from "
	strSQL=strSQL & "tblItems order by ItemName ASC"
	Dim myCom =New SqlCommand(strSQL,myConn)
	drd=myCom.ExecuteReader()
	while drd.read() 
	  Response.Write("ItemID: " + drd("ItemID").ToString())
	  Response.Write("<br />")
	  Response.Write("ItemName: " +drd("ItemName").ToString())
	  Response.Write("<br />")
	End While
	drd.Close
	myConn.Close
End Sub
</script>	
<html>
<head>
<title>ADO.NET </title>
</head>
<body >                        
</body>
</html>
